<template>
    <div class="new">
        <div class="contaiber">
            <div class="row title-new">New Blogs</div>
            <div class="row">
                <div class="form-new">
                    <form>
                    <label for="">Tiêu đề</label><br>
                    <input type="text" v-model="title"/> <br>
                    <label for="">Mô tả ngắn</label><br>
                    <input type="text" v-model="description"/><br>
                    <label for="">Chi tiết</label><br>
                    <textarea rows='8' v-model="detail"></textarea><br>
                    <label for="">Hình ảnh</label>
                    <button >Chọn file</button><span></span><br>
                    <label for="">Loại</label>
                    <select v-model="category">
                        <option value="0">Thời sự</option>
                        <option value="1">Thế Giới</option>
                        <option value="2">Kinh Doanh</option>
                        <option value="3">Giải Trí </option>
                        <option value="4">Thể Thao </option>
                        <option value="5">Phát Luật</option>
                        <option value="6">Giáo Dục</option>
                        <option value="7">Đời Sống</option>
                        <option value="8">Du Học</option>
                        <option value="9">Du Lịch</option>
                        <option value="10">Thế Giới Động Vật</option>
                        <option value="11">Công Nghệ</option>
                        <option value="12">Xe Hơi</option>
                    </select><br>
                    <label for="">Vị Trí</label><br>
                    <input  type="checkbox" name="vietnam" class="checkbox" :value="position" @input="position"><label for="">Việt Nam</label><br>
                    <input  type="checkbox" name="chaua" class="checkbox" :value="position" @input="position"><label for="">Châu Á</label><br>
                    <input  type="checkbox" name="vietnam" class="checkbox" :value="position"  @input="position" ><label for="">Châu Âu</label><br>
                    <input  type="checkbox" name="vietnam" class="checkbox" :value="position"  @input="position"><label for="">Châu Mỹ</label><br>
                    <label>{{position}}</label>
                    <label for="">Public</label><br>
                    <input type="radio" class="checkbox" name="choose" value="true" v-model="pubblic" ><label for="">Yes</label><br>
                    <input type="radio" class="checkbox" name="choose" value="false"  v-model="pubblic"><label for="">No</label><br>
                    <label for="">Date Public</label><br>
                    <input type="date" v-model="publicdate"><br>

                    <button type="submit" class="btn btn-primary submit">Submit</button>
                    <button type="button" class="btn btn-danger" >Clear</button>
                    </form>
                </div>
                
            </div>
        </div>
    </div>
</template>

<script>
    export default {
        data() {
            return {
                dataObj: this.data,
                title:'',
                description:'',
                detail:'',
                category:'',
                position:'',
                pubblic:'',
                publicdate:'',
            }
        },
        props:['items'],
        mounted() {
            
        },
        methods: {
            
        },
    }
</script>

<style  scoped>
.checkbox{
    width: 30px;
}
.title-new{
    font-size: 20px;
    font-weight: bold;
}
input{
    width: 70%;
}
textarea{
    width: 70%;
}
 .new{
     margin: 10px;
 }
 .form-new{
     width: 100%;
 }
 .btn{
     margin-top:5%;
     text-align: center;
     margin-bottom: 10%
     
 }
 .submit{
     margin-left: 25%
     

 }
</style>